:root{
    --marquee:#fff;
    --marquee-border:#1c0ed4;
    --marquee-border2:#e4ce0d;
    --black: #575555;
    --ligt-black: #999;
    --topics: #868282;
    --nav-bg: #d0d0d0ec;
    --light-nav-bg: #f3f3f3;
    --main-bg:#ebebebfb;
    --color1: #0cc4f8;
    --color2: #05265f;
    --color3:#fbce05;
    --white: #fff;
    --empty:#5afd90;
    --logout:#ec260c;
    --border:.2rem solid #ccc;
    --box-shadow:0 .5rem 1rem #4e4b4b1a;
    --topbar-border: 0 7px 25px #16161657;
}
*{
transition: all .3s linear;
}

html{
    /* font-size: 72.5%; */
    overflow-x: hidden;
    scroll-padding-top: 5.5rem;
    scroll-behavior: smooth;
    margin: 0px;
    padding: 0px;
}


body{
   width: 0px;
   margin: 0px;
   padding: 0px;
   box-sizing: border-box;
   /* background-color: #000; */

}
a{
    text-decoration: none;
}
/* .title{
    position: relative;
}
.title h1{
    color: #b1b1b1;
    padding-top: 100px;
    padding-left: 12px;
    text-align: left;
    font-size: 43px;

    letter-spacing: 5px;
}
.title span{
    color: #8ea3df;
} */

.main-container{
    position: absolute;
    
    height: auto;
    width: 100%;
    margin-top: 0px;
}



/* Main body content */
.main-content{
    position: relative;
    /* top: 90px; */
    display: flex;
	align-items: justify;
	flex-wrap: wrap;
	justify-content: space-between;
}
.content{
    flex-basis: 70%;
    margin: 30px auto 10px 20px; 
    min-width: 70%;
    height:100%;
}

.content .other-contents{
    /* width: 100%; */
    /* margin: 15px 0px 0px 3%; */
    background:#fff;
    padding:10px;
    /* box-shadow: 1px 2px 5px rgb(41, 1, 1); */
}
.content .other-contents h2{
    color:#5c8fb9;
    text-align: center;
}

.other-contents .headAddress{
    display: flex;
    justify-content: space-between;
    /* align-items: center; */
}
.other-contents .headAddress .pic{
    flex-basis: 39%;
}
.other-contents .headAddress .pic1{
    display: none;
}
.other-contents .headAddress .pic img{
    width: 98%;
    height: 370px;
}
.other-contents .headAddress .message{
    flex-basis: 60%;
}
.other-contents .headAddress .message p{
    font-size: 15px;
    line-height: 25px;
    color: var(--black);
    text-align: justify;
    font-family: 'New Time roman','Gill Sans', 'Gill Sans MT', 'Calibri', 'Trebuchet MS', sans-serif;
}

/* Occassional Videos and other stories */
    .stories{
        width: 95% auto;
        height: auto;

    }
    .stories h3{
       font-size: 25px;
       color: var(--color2);
       text-align: center;
       margin-top: 10px;
       border-bottom: 3px solid #575151;
    }
    
    .video_container{
        display: grid;
        grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
        grid-gap: 10px;

    }
    .video{
        width: 100%;
        height: 100%;
    }
    .video h4{
       text-align: center;
       font-size: 15px;
       color: var(--topics);
       margin: 15px 0;
    }

    .Moving_text_container{
        height: 50px;
        width: 100%;
        background: #141658;
        margin: 10px 0;
    }/* //Moving text */

    .Moving_text_content{
        height: 50px;
        width: 80%;
        background: gold;
        font-size: 25px;
        color: #141658;
        padding-top: 10px;

        border-top-right-radius: 0px;
        border-bottom-right-radius: 100px;
    }/* //Moving text content */
    
    .Articles_container{
        width: 95% auto;
        height: auto;
        background: #dee0e0;
        /* box-shadow: 1px 2px 5px rgb(41, 1, 1); */
    }
    .Articles_container h3{
        font-size:29px;
        margin-top: 25px;
        padding: 15px;
        color: #5a5a5a;
        text-align: center;
        border-bottom: 3px solid rgb(80, 83, 83);
    }
    .Article_row{
        display: inline-flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: space-around;
                        
    }
    .Article_content{
        flex-basis: 30%;
        background: #222121;
        margin: 15px 0;
        border-radius: 20px;
        transition:.6s;
        opacity: 0.3px;
        text-align: center;
        transition: 3s;
    }
    
    .Article_content:hover{
        transition:.6s;
        box-shadow: 1px 2px 10px #4e2424;
        transform: rotateY(180deg);
        transition: 3s;
        color: #fff;
    }

    .Article_content img{
        position: relative;
        top: -50px;
        height: 100%;
        width: 46%;
        margin-top: 25px;
        border-radius: 50%;
        border-bottom: 6px solid orange;
    }

    .article_info{
        height: 50%;
        transition: 3s;
    }
    .article_info:hover{
        transform: rotateY(-180deg);
        transition: 3s;
    }
    .article_info h4, .art{
        color: rgb(214, 209, 209);
    }

    /* //Publications */


/* Side Bar */
.side-News{
    flex-basis: 40%;
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
    height:100vh;
    /* box-shadow: 1px 2px 5px rgb(54, 33, 33); */
    border-left: 3px solid var(--color1);
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;

}

/* Side bar Announcement */
.School-Announcements{
    flex-basis: 20%;
    margin: 5px;
    padding:10px;
    min-width: 96.5%;
    height:100%;

    transition:0.6s;
}
.School-Announcements h2{
    color: #be250a;
    text-align: center;
}
.School-Announcements h3{
    color: #353130;
    text-align: left;
    border-bottom: 3px solid #252222;
}
.School-Announcements p{
    color: #2b2828;
    padding: 5px;
    font-size:17px;
    line-height: 23px;

}

.School-Announcements:hover{
    /* border-bottom: 3px solid #a09393;
    border-top: 1px solid #635555; */
    box-shadow: 1px 2px 5px rgb(106, 139, 209);
    transition:.5s;
}

.side-News .side-news-container .news h2{
    color: #070b4d;
    text-align: center;
}
.side-news-container{
    /* display: flex; */
	align-items: center;
	flex-wrap: wrap;
	justify-content: space-between;
}

/* Side bar Others */
.Others{
    flex-basis: 27%;
    margin: 5px;
    /* min-width: 260px; */
    height:100%;
    padding:5px;

    transition:0.6s;
}

.Others:hover{
    box-shadow: 1px 2px 5px #6a8bd1;
    transition:.5s;
}
.Others h2{
    text-align: center;
    color: #5a69c9;
}
.Others h3{
    border-bottom: 3px solid #2c2d33;
    color: #3b3b3f;
}

.Othernews p{
    padding:10px;
    text-align:center;
    border:2px solid #a79a9a;
    border-left:none;
    border-top:none;
    margin-bottom: 6px;
    transition:.6s;
}
.Othernews p:hover{
    box-shadow: 1px 2px 5px #2b0202;
    background: var(--white);
    transform: translateX(-18px);
    transition:.6s;
}

/* Side bar News */
.side-news-container .news{
    flex-basis: 27%;
    margin: 5px;
    /* min-width: 260px; */
    height:100%;
    box-shadow: 1px 2px 5px silver;
}

.GhWeb{
    width: 90%;
    margin-left: 5%;
    height:30% auto;

    transition:.6s;
}
.GhWeb p:hover{
    border-bottom:2px solid #494343;
    transition:.6s;
}

.GhWeb .news-img img{
    width: 100%;
    height:200px;
    border-radius:4%;
    transition: 0.6s;
}
.GhWeb .news-img img:hover{
    transform: scale(1.5);
    transition: 0.6s;
}

/* Side bar Advert */
.side-news-container .advert{
    flex-basis: 27%;
    margin: 5px;
    /* min-width: 260px; */
    height:100%;
    box-shadow: 1px 2px 5px silver;
}



.side-news-container .advert h2{
    text-align: center;
}


/* Hide the images by default */
.Sponsor_Advert {
	display: none;

    /* border: 1px dotted red */
  }

/* Adver images */
.Sponsor_Advert img{
    height:40%;
    width:100%;
    transition: 0.6s;
}
.Sponsor_Advert img:hover{
    transform: scale(1.5);
    transition: 0.6s;
}

.Ad_about-text{
    color: #070b4d;
    font-size: 14px;
    padding: 5px 8px;
    text-align: left;
  }
  
  .Ad_about-text h3{
      color: #070b4d;
      font-size: 18px;
      padding-bottom: 5px;
  }

  
  /* Fading animation */
 .Adfade {
	-webkit-animation-name: fade;
	-webkit-animation-duration: 2s;
	animation-name: fade;
	animation-duration: 4s;
  }
  
  @-webkit-keyframes fade {
	from {opacity: .4}
	to {opacity: 1}
  }
  
  @keyframes fade {
	from {opacity: .4}
	to {opacity: 1}
  } 

/* This is the style for the slide slideshow container */
.sub-container{
    max-width: 1080px;
    margin: auto;
    padding-left: 0px;
    padding-right: 0px;
    
}

.about-text{
    color: #070b4d;
    font-size: 20px;
    padding: 8px 12px;
    /* position: absolute;
    left: 15%;
    top: 10%; */
    width: 100%;
    text-align: left;
    border-left: 4px solid #003;
    border-bottom-left-radius: 50px;
  }
  
  .about-text h3{
      color: #070b4d;
      font-size: 30px;
      padding-bottom: 5px;
  }
  .pos-text {
    color: #3b2a03;
    font-size: 20px;
    padding: 8px 12px;
    /* position: absolute;
    top: 0; */
  }

/* Slideshow container */
.slideshow-container {
	max-width: 98%;
	margin: auto;
  }
  
  /* Hide the images by default */
 /* .mySlides {*/
	/*display: none;*/
 /* }*/
 .slideshow-container .mySlides {
	display: none;
  height: 450px;
  /* height: 100%; */
  }
.slideshow-container .mySlides img {
    height: 100%;
    vertical-align: middle;
    
}


  /*Slider*/
.post-slider{
	display: block;
    /* box-shadow: 1px 2px 5px silver; */
    margin-top: 10px;
}

.post-slider .slider-title{
	text-align: center;
	margin: 10px auto;

    color: var(--color2);
    font-size: 20px;
}
/* .post-slider .next {
	position: absolute;
	top: 55%;
	right: 25px;
	font-size: 2em;
	color: #0c3c60;
	cursor: pointer;
	background: 1px solid green;
}

.post-slider .prev {
	position: absolute;
	top: 55%;
	left: 10px;
	font-size: 2em;
	color: #0c3c60;
	cursor: pointer;
} */

.post-slider .post-wrapper{
	width: 98%;
	height: 250px;
	margin: 0px auto;
	overflow: hidden;
	/* padding: 10px 0px 10px 0px; */
}
.post-slider .post-wrapper .post{
	width: 300px;
	height: 340px;
	margin: 0px 10px;
	display: inline-block;
	background: white;
	border-radius: 2px;
}


.post-slider .post-wrapper .post .post-info{
	height: 10px;
	padding: 0px 5px;

}

.post-slider .post-wrapper .post .slider-image{
	width: 100%;
	height: 200px;
	border-radius: 5px;
	border-top-left-radius: 5px;
	border-top-right-radius: 5px;
}
/* End of Styling Slider*/

/* Footer */
.footer{
    position: relative;
    top: 21px;
    width: 100%;
    height: auto;
    margin-top: 100px;
    background:#03021d;
}
.footer .footer-content{
    width: inherit;
    height: auto;
}
.footer-cols{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    opacity: .6px;

}
.footer-cols .col{
    flex-basis: 22%;
    color: #fff;
    margin-top: 20px;
}
.footer-cols .col .fa{
  font-size: 20px;
  padding: 5px;
  border: 3px solid rgb(94, 93, 93);
  border-radius: 50%;
  transition: .7s;
}
.footer-cols .col .fa:hover{
    background: #b41e04;
    color: #ddd;
    border: 3px solid #eb8c7c;
    transition: .7s;
}

.footer-cols .col p:hover{
    color: #fff;
}

.footer-cols .col h2{
    font-size: 25px;
}

.footer-cols .col a{
    font-size: 16px;
    line-height: 35px;
    color: rgb(156, 151, 151);
}
.footer-cols .col a:hover{
    text-decoration: underline;
    color: #fff;
    transition: 0.6s;
}
.footer-cols .col p{
    font-size: 16px;
    line-height: 35px;
    color: rgb(156, 151, 151);
    cursor: pointer;
}
.copyright{
    height: 15%;
  background: #010113;
}
.copyright p{
    color: #fff;
    text-align: center;
    padding: 10px;
}

a.top{
    position: absolute;
    bottom: 10px;
    right: 30px;
    color: #fff;
    border: 3px solid #fff;
    border-radius: 50%;
    padding: 10px;
    cursor: pointer;
    transition: .7s;
}
 a.top:hover{
    color: #ee8674;
    transform: translateY(-15px);
    transition: .7s;
    border-color: #e79687;
    background: #b41e04;
}
/* Footer Ends */

/*Media resizing Queries of 817px*/
@media only screen and (min-width: 817px){
    header{
       position:fixed;
       z-index: 2;
       
    }

    .header{    
        height: 300px;
        width: 100%;
    }

    .content{
        flex-basis: 70%;
        margin: 10px 0px 10px 10px; 
        min-width: 60%;
        height:100%;
    
    }
    
    .side-News{
        flex-basis: 27%;
        margin: 10px 3px 10px 0px; 
        width: 26%;
        /* padding:10px; */
        height:100%;
    }

    /* News Bar */
    .Others{
        min-width: 95%; 
        margin: auto;
    }
    .side-news-container .news{
        min-width: 200px;
        margin: auto;
    }
    .side-news-container .advert{
        min-width: 200px;
        margin: auto;
    }

    .mySlides img{
        height: 400px;
    }
    
}


/* Scroll to top start */
#myBtn {
    display: none;
    position: fixed; /* Fixed/sticky position */
    bottom: 20px; /* Place the button at the bottom of the page */
    left: 50%; /* Place the button 30px from the right */
    z-index: 1000; /* Make sure it does not overlap */
    border: 2px solid var(--nav-border); 
    outline: none; /* Remove outline */
    background-color: var(--logout); /* Set a background color */
    
    border-radius: 50%; /* Rounded corners */
    
  }
  #myBtn ion-icon{
    color: white;
    font-size: 20px;
    font-weight: 600;
    padding: 8px; 
    cursor: pointer;
  }
  /* #myBtn ion-icon{
    color: white;
  } */
  
  
  #myBtn:hover {
    background-color: var(--black); /* Add a dark-grey background on hover */
  }
  /* Scroll to top end */
  

/*Media resizing Queries of 816px*/
@media only screen and (max-width: 816px){
    /* .footer{
        width: 100%;
    } */

    .content{
        flex-basis: 60%;
        margin: 10px 0px 10px 0px; 
        min-width: 100%;
        height:auto;
    
    }
    
    .side-News{
        flex-basis: 100%;
        margin: 10px 10px 10px 0px; 
        width: 100%;
        height:auto;
    }
    .Others{
        min-width: 230px;
        /* margin: 10px auto;        */
    }
    .side-news-container .news{
        min-width: 230px;
        /* margin: 10px auto; */
    }
    .side-news-container .advert{
        min-width: 230px;
        /* margin: 10px auto; */
    }

    .Othernews p:hover{
        box-shadow: 1px 2px 5px rgb(43, 2, 2);
    
        transform: translateX(18px);
        transition:.6s;
    }

    header{
       
        background:rgb(6, 2, 58);
       
    }

    
}

/*Media resizing Queries of 747px*/
@media only screen and (max-width: 747px){
    .Others{
        min-width: 95%; 
        /* min-width: auto;*/
    }
    .side-news-container .news{
        min-width: 45%;
    }
    .side-news-container .advert{
        min-width: 45%;
    }

}

/*Media resizing Queries of 747px*/
@media (max-width: 900px){
   
.other-contents .headAddress{
    display: block;
}
.other-contents .headAddress .pic{
    display: none;
}
.other-contents .headAddress .pic1{
    display: block;
}
   
.other-contents .headAddress .pic img{
    height: 150px;
    width: 150px;
    border-radius: 50%;
    margin: auto;
    border-top: 5px solid var(--color1);
    border-bottom: 5px solid var(--color1);
}
   
.other-contents .headAddress .pic1 img{
    height: 200px;
    width: 200px;
    border-bottom-right-radius: 50px;
    margin: auto;
    /*border-top: 5px solid var(--color1);*/
    border-bottom: 5px solid var(--color1);
}

.side-News{
    /* flex-basis: 40%; */
    position: relative;
    border-left: none;

}
}


/*Media resizing Queries of 700px*/
@media only screen and (max-width: 700px){

    .video{
        width: 100%;
        margin: 5px;
       
    }

    .video_info{
        flex-basis: 95%;
        height: 100%;
        margin: 10px 0;

        box-shadow: 1px 2px 5px rgb(41, 1, 1);
    }
    
    /* News Bar */
    .Others{
        min-width: 95%;  
        margin-right: auto;      
    }
    .side-news-container .news{
        min-width: 230px;
        margin-right: auto;
    }
    .side-news-container .advert{
        min-width: 230px;
        /* min-width: 80%; */
        margin-right: auto;
    }


    /* header{
        position: relative;
    } */
    
    header ul{
        width: 45%;
        max-height: 0px;
        background:#141658;
        margin-left: -90px;
        margin-top: 50px;
        overflow: hidden;
        border-top-right-radius:30%;
        border-bottom-right-radius:30%;  
        transition: .6s;          
    }
        header ul:hover{
            box-shadow: 1px 2px 5px silver; 
            border-bottom: 4px solid #d36804; 
            transition: .6s;       
        }

        .showing{
        max-height: 100em;
    }
    
        header ul li{
        width: 100%;
        
    }
    
    header ul li ul{
        position: static;
        display: block;
        width: 100%;
    }
    
    header ul li ul li a{
            padding: 10px;
            background: #14578f;
            color: white;
            padding-left: 50px;
        }
        header ul li ul li a:hover{
            background: #2e9ad8;
        }
        /* header ul li ul li a.logout{
            color: red;
        } */
    
        header .menu-toggle{
        display: block;
        position: absolute;
        right: 20px;
        top: 20px;
        font-size: 1.9em;
        color: #0a468a;
        /* transition: 6s; */
    }
    
    /* header .logo{
        margin-left: .3em;
    } */
    
    header ul li:hover ul li{
            display: block;
            z-index: 88888;		
    }


    /* Slider */
    .post-slider .next {
    
        right: 10px;
        font-size: 2em;
        color: #0c3c60;
        cursor: pointer;
    }
    
    .post-slider .prev {
        left: 10px;
        font-size: 2em;
    }

    .content{
        /*flex-basis: 60%;*/
        margin: 10px 0px 10px 0px; 
        min-width: 100%;
        height:auto;
    
    }
    
    .side-News{
        flex-basis: 100%;
        margin: 10px 0px 10px 0px; 
        width: 100%;
        height:auto;
    }
/* Footer */
    .footer-cols .col{
        flex-basis: 44%;
    }

    }

    /*Media resizing Queries of 488px*/
@media only screen and (max-width: 488px){

    /* Marquee */
    .title marquee{
        position: relative;
        height: 70px;
        width: 100%;
        top: 48px;
        display: flex;
        align-items: center;
        background: var(--marquee);
        border-bottom: 6px solid var(--marquee-border);
        border-bottom-left-radius: 100%;
    }
    
    marquee h1{
        color: var(--marquee-border);
        font-size: 25px;
    
        letter-spacing: 5px;
    }

    /* Side News */
    .side-news-container .news{
        min-width: 98%;
        align-items: center;
        margin: auto;
    }
    .side-news-container .advert{
        min-width: 98%;
        margin: auto;
    }

    .header h1{
        font-size: 25px;
        margin-left: 25px;
    }

    /* Side Bar */
.side-News{
    flex-basis: 100%;
    /*margin: 10px 0px 10px 0px;*/
    margin: auto;
    min-width: 80% auto;
    height:100% auto;
    
}

    .content{
        flex-basis: 100%;
        margin: 30px 0px 10px 0px; 
        min-width: 100%;
        height:100% auto;
        /*box-shadow: 1px 2px 5px silver;*/
    }
    
    .other-contents .headAddress{
        display: block;
    }

    /* Publications */
    .Article_content{
        flex-basis: 90%;
        background: #222121;
        margin: 15px 0;
        border-radius: 20px;
        transition:.6s;
        opacity: 0.6px;
        text-align: center;
    }

    .footer-cols .col{
        flex-basis: 90%;       
    }

}

@media (max-width: 500px){
   
/* Main body content */
.main-content{
    display: block;
}

.post-slider .post-wrapper{
	width: 100%;
	/* height: 350px;
	margin: 0px auto;
	overflow: hidden; */
}

.side-news-container .news{
    box-shadow: none;
}
/* Side bar Advert */
.side-news-container .advert{
    box-shadow: none;
}

.content{
    flex-basis: 100%;
    margin: 10px 0px 10px 0px; 
    min-width: 100%;
    height:auto;

}

.side-News{
    flex-basis: 100%;
    margin: 0px; 
    width: 100%;
    height:auto;
}

.slideshow-container .mySlides {
  height: 250px;
  }
.slideshow-container .mySlides img {
    height: 100%;
    vertical-align: middle;
    /*vertical-align: center;*/
}
}
@media (max-width: 410px){
    header ul{
        width: 35%;
    }
    header ul li{
        padding: 4px;
        font-size: 15px;
        width: 100px;
        line-height: 30px;
    }
    .mySlides img{
        height: 50%;
    }

}
